## org.codehaus.groovy.reflection
Class ReflectionCache

Field Summary
`Map` | `CACHED_CLASS_MAP`
`CachedClass` | `OBJECT_ARRAY_CLASS`
`CachedClass` | `OBJECT_CLASS`
`CachedClass` | `STRING_CLASS`
`WeakDoubleKeyHashMap` | `assignableMap`
`TripleKeyHashMap` | `mopNames`
`Map` | `primitiveTypesMap`

Constructor Summary
`ReflectionCache()`

Method Summary
`static boolean` | `arrayContentsEq(def a1, def a2)`
`static Class` | `autoboxType(Class type)`
`static CachedClass` | `getCachedClass(Class klazz)` Get the CachedClass for a the given Class (which may be a Type).
`static String` | `getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)`
`static boolean` | `isArray(Class klazz)`
`static boolean` | `isAssignableFrom(Class klazz, Class aClass)`
`static void` | `setAssignableFrom(Class klazz, Class aClass)`

Constructor Detail

### ReflectionCache

    ReflectionCache()

Method Detail

### arrayContentsEq

    public static boolean arrayContentsEq(def a1, def a2)

### autoboxType

    public static Class autoboxType(Class type)

### getCachedClass

    public static CachedClass getCachedClass(Class klazz)

  Get the CachedClass for a the given Class (which may be a Type).
  param:
    klazz
  return:
    the class

### getMOPMethodName

    public static String getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)

### isArray

    public static boolean isArray(Class klazz)

### isAssignableFrom

    public static boolean isAssignableFrom(Class klazz, Class aClass)

### setAssignableFrom

    public static void setAssignableFrom(Class klazz, Class aClass)